---
type: api
title: Set size overrides
description: Applies size overrides for all of the instances belonging to the given resource. Instance size overrides will be reset with the next plan change.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/operation/operation-set-all-instances-settings-overrides
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/operation/operation-set-all-instances-settings-overrides
products:
  - Elastic Cloud Enterprise
---

# Set size overrides

## Paths

- `PUT` `/deployments/{deployment_id}/{resource_kind}/{ref_id}/instances/overrides`

- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/authentication#basicauth)
- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/authentication#apikey)

#### Path Parameters

- `deployment_id` (string)
  Identifier for the Deployment.
- `resource_kind` (string)
  The kind of resource. Only Elasticsearch resources are currently supported.
- `ref_id` (string)
  User-specified RefId for the Resource (or '_main' if there is only one).

## Description

Applies size overrides for all of the instances belonging to the given resource. Instance size overrides will be reset with the next plan change.

## Query String Parameters

- `restart_after_update` (boolean · default: false)
  After overrides are set, restarts the instance to apply the changes.

## Request Body

`application/json`

The overrides to apply to all instances. Capacity overrides the RAM size in MB of the instance, and storage multiplier overrides the multiplier of the instance RAM size that determines the storage quota of the instance. Capacity must be in the range [1024, <<instance configuration max increment, typically 65536>>] and storage multiplier must be in the range [1.0, 1000.0].

- `capacity` (integer) — optional
  Sets the memory capacity for the instances container. Requires a restart to take effect.
- `storage_multiplier` (number) — optional
  Overrides the disk quota multiplier for the instance

## Responses

#### `200`

The updated overrides

`application/json`

- `capacity` (integer)
  Sets the memory capacity for the instances container. Requires a restart to take effect.
- `storage_multiplier` (number)
  Overrides the disk quota multiplier for the instance
#### `404`

* The deployment specified by {deployment_id} cannot be found. (code: `deployments.deployment_not_found`)
* The Resource specified by {ref_id} cannot by found. (code: `deployments.deployment_resource_not_found`)
* The specified override was out of range. Capacity must be in the range [1024, <<instance configuration max increment, typically 65536>>] and storage multiplier must be in the range [1.0, 1000.0]. (code: `instance_overrides.out_of_range`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

## Code Examples

#### Console

```console
PUT /deployments/{deployment_id}/{resource_kind}/{ref_id}/instances/overrides
```

#### curl

```curl
curl -X PUT "/deployments/{deployment_id}/{resource_kind}/{ref_id}/instances/overrides"
```

